Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# Basic_Deployment_Data.cpp File Reference

`#include "Basic_Deployment_Data.hpp"`
`#include "XMLSchema/TypeInfo.hpp"`

Include dependency graph for Basic_Deployment_Data.cpp:

## Namespaces
namespace | CIAO
namespace | CIAO::Config_Handlers
namespace | CIAO::Config_Handlers::Traversal
namespace | CIAO::Config_Handlers::Writer
## Classes
struct | CIAO::Config_Handlers::TCKindTypeInfoInitializer
struct | CIAO::Config_Handlers::DataTypeTypeInfoInitializer
struct | CIAO::Config_Handlers::DataValueTypeInfoInitializer
struct | CIAO::Config_Handlers::EnumTypeTypeInfoInitializer
struct | CIAO::Config_Handlers::AnyTypeInfoInitializer
struct | CIAO::Config_Handlers::PropertyTypeInfoInitializer
struct | CIAO::Config_Handlers::SatisfierPropertyKindTypeInfoInitializer
struct | CIAO::Config_Handlers::SatisfierPropertyTypeInfoInitializer
struct | CIAO::Config_Handlers::ResourceTypeInfoInitializer
struct | CIAO::Config_Handlers::RequirementTypeInfoInitializer
struct | CIAO::Config_Handlers::ResourceDeploymentDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::ArtifactDeploymentDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::MonolithicDeploymentDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::ResourceUsageKindTypeInfoInitializer
struct | CIAO::Config_Handlers::InstanceResourceDeploymentDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::InstanceDeploymentDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::CCMComponentPortKindTypeInfoInitializer
struct | CIAO::Config_Handlers::ComponentPortDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::ComponentPropertyDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::ComponentExternalPortEndpointTypeInfoInitializer
struct | CIAO::Config_Handlers::PlanSubcomponentPortEndpointTypeInfoInitializer
struct | CIAO::Config_Handlers::ExternalReferenceEndpointTypeInfoInitializer
struct | CIAO::Config_Handlers::ConnectionResourceDeploymentDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::PlanConnectionDescriptionTypeInfoInitializer
struct | CIAO::Config_Handlers::ImplementationDependencyTypeInfoInitializer
struct | CIAO::Config_Handlers::CapabilityTypeInfoInitializer
struct | CIAO::Config_Handlers::ImplementationRequirementTypeInfoInitializer
struct | CIAO::Config_Handlers::ComponentPackageReferenceTypeInfoInitializer
struct | CIAO::Config_Handlers::SubcomponentPortEndpointTypeInfoInitializer
struct | CIAO::Config_Handlers::AssemblyConnectionDescriptionTypeInfoInitializer
## Functions
bool | operator== (::CIAO::Config_Handlers::TCKind const &a,::CIAO::Config_Handlers::TCKind const &b)
bool | operator!= (::CIAO::Config_Handlers::TCKind const &a,::CIAO::Config_Handlers::TCKind const &b)
bool | operator== (::CIAO::Config_Handlers::SatisfierPropertyKind const &a,::CIAO::Config_Handlers::SatisfierPropertyKind const &b)
bool | operator!= (::CIAO::Config_Handlers::SatisfierPropertyKind const &a,::CIAO::Config_Handlers::SatisfierPropertyKind const &b)
bool | operator== (::CIAO::Config_Handlers::ResourceUsageKind const &a,::CIAO::Config_Handlers::ResourceUsageKind const &b)
bool | operator!= (::CIAO::Config_Handlers::ResourceUsageKind const &a,::CIAO::Config_Handlers::ResourceUsageKind const &b)
bool | operator== (::CIAO::Config_Handlers::CCMComponentPortKind const &a,::CIAO::Config_Handlers::CCMComponentPortKind const &b)
bool | operator!= (::CIAO::Config_Handlers::CCMComponentPortKind const &a,::CIAO::Config_Handlers::CCMComponentPortKind const &b)
::XMLSchema::TypeInfoInitializer< ACE_TCHAR > | XMLSchemaTypeInfoInitializer_ (::XSCRT::extended_type_info_map())
## Variables
TCKindTypeInfoInitializer | TCKindTypeInfoInitializer_
DataTypeTypeInfoInitializer | DataTypeTypeInfoInitializer_
DataValueTypeInfoInitializer | DataValueTypeInfoInitializer_
EnumTypeTypeInfoInitializer | EnumTypeTypeInfoInitializer_
AnyTypeInfoInitializer | AnyTypeInfoInitializer_
PropertyTypeInfoInitializer | PropertyTypeInfoInitializer_
SatisfierPropertyKindTypeInfoInitializer | SatisfierPropertyKindTypeInfoInitializer_
SatisfierPropertyTypeInfoInitializer | SatisfierPropertyTypeInfoInitializer_
ResourceTypeInfoInitializer | ResourceTypeInfoInitializer_
RequirementTypeInfoInitializer | RequirementTypeInfoInitializer_
ResourceDeploymentDescriptionTypeInfoInitializer | ResourceDeploymentDescriptionTypeInfoInitializer_
ArtifactDeploymentDescriptionTypeInfoInitializer | ArtifactDeploymentDescriptionTypeInfoInitializer_
MonolithicDeploymentDescriptionTypeInfoInitializer | MonolithicDeploymentDescriptionTypeInfoInitializer_
ResourceUsageKindTypeInfoInitializer | ResourceUsageKindTypeInfoInitializer_
InstanceResourceDeploymentDescriptionTypeInfoInitializer | InstanceResourceDeploymentDescriptionTypeInfoInitializer_
InstanceDeploymentDescriptionTypeInfoInitializer | InstanceDeploymentDescriptionTypeInfoInitializer_
CCMComponentPortKindTypeInfoInitializer | CCMComponentPortKindTypeInfoInitializer_
ComponentPortDescriptionTypeInfoInitializer | ComponentPortDescriptionTypeInfoInitializer_
ComponentPropertyDescriptionTypeInfoInitializer | ComponentPropertyDescriptionTypeInfoInitializer_
ComponentExternalPortEndpointTypeInfoInitializer | ComponentExternalPortEndpointTypeInfoInitializer_
PlanSubcomponentPortEndpointTypeInfoInitializer | PlanSubcomponentPortEndpointTypeInfoInitializer_
ExternalReferenceEndpointTypeInfoInitializer | ExternalReferenceEndpointTypeInfoInitializer_
ConnectionResourceDeploymentDescriptionTypeInfoInitializer | ConnectionResourceDeploymentDescriptionTypeInfoInitializer_
PlanConnectionDescriptionTypeInfoInitializer | PlanConnectionDescriptionTypeInfoInitializer_
ImplementationDependencyTypeInfoInitializer | ImplementationDependencyTypeInfoInitializer_
CapabilityTypeInfoInitializer | CapabilityTypeInfoInitializer_
ImplementationRequirementTypeInfoInitializer | ImplementationRequirementTypeInfoInitializer_
ComponentPackageReferenceTypeInfoInitializer | ComponentPackageReferenceTypeInfoInitializer_
SubcomponentPortEndpointTypeInfoInitializer | SubcomponentPortEndpointTypeInfoInitializer_
AssemblyConnectionDescriptionTypeInfoInitializer | AssemblyConnectionDescriptionTypeInfoInitializer_

## Function Documentation

bool operator!= | ( | ::CIAO::Config_Handlers::CCMComponentPortKind const & | a,
|  | ::CIAO::Config_Handlers::CCMComponentPortKind const & | b
| ) |

bool operator!= | ( | ::CIAO::Config_Handlers::ResourceUsageKind const & | a,
|  | ::CIAO::Config_Handlers::ResourceUsageKind const & | b
| ) |

bool operator!= | ( | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | a,
|  | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | b
| ) |

bool operator!= | ( | ::CIAO::Config_Handlers::TCKind const & | a,
|  | ::CIAO::Config_Handlers::TCKind const & | b
| ) |

bool operator== | ( | ::CIAO::Config_Handlers::CCMComponentPortKind const & | a,
|  | ::CIAO::Config_Handlers::CCMComponentPortKind const & | b
| ) |

bool operator== | ( | ::CIAO::Config_Handlers::ResourceUsageKind const & | a,
|  | ::CIAO::Config_Handlers::ResourceUsageKind const & | b
| ) |

bool operator== | ( | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | a,
|  | ::CIAO::Config_Handlers::SatisfierPropertyKind const & | b
| ) |

bool operator== | ( | ::CIAO::Config_Handlers::TCKind const & | a,
|  | ::CIAO::Config_Handlers::TCKind const & | b
| ) |

::XMLSchema::TypeInfoInitializer< ACE_TCHAR > XMLSchemaTypeInfoInitializer_ | ( | ::XSCRT:: | extended_type_info_map() | ) | `[static]`

## Variable Documentation

AnyTypeInfoInitializer CIAO::Config_Handlers::AnyTypeInfoInitializer_`[static]`

ArtifactDeploymentDescriptionTypeInfoInitializer CIAO::Config_Handlers::ArtifactDeploymentDescriptionTypeInfoInitializer_`[static]`

AssemblyConnectionDescriptionTypeInfoInitializer CIAO::Config_Handlers::AssemblyConnectionDescriptionTypeInfoInitializer_`[static]`

CapabilityTypeInfoInitializer CIAO::Config_Handlers::CapabilityTypeInfoInitializer_`[static]`

CCMComponentPortKindTypeInfoInitializer CIAO::Config_Handlers::CCMComponentPortKindTypeInfoInitializer_`[static]`

ComponentExternalPortEndpointTypeInfoInitializer CIAO::Config_Handlers::ComponentExternalPortEndpointTypeInfoInitializer_`[static]`

ComponentPackageReferenceTypeInfoInitializer CIAO::Config_Handlers::ComponentPackageReferenceTypeInfoInitializer_`[static]`

ComponentPortDescriptionTypeInfoInitializer CIAO::Config_Handlers::ComponentPortDescriptionTypeInfoInitializer_`[static]`

ComponentPropertyDescriptionTypeInfoInitializer CIAO::Config_Handlers::ComponentPropertyDescriptionTypeInfoInitializer_`[static]`

ConnectionResourceDeploymentDescriptionTypeInfoInitializer CIAO::Config_Handlers::ConnectionResourceDeploymentDescriptionTypeInfoInitializer_`[static]`

DataTypeTypeInfoInitializer CIAO::Config_Handlers::DataTypeTypeInfoInitializer_`[static]`

DataValueTypeInfoInitializer CIAO::Config_Handlers::DataValueTypeInfoInitializer_`[static]`

EnumTypeTypeInfoInitializer CIAO::Config_Handlers::EnumTypeTypeInfoInitializer_`[static]`

ExternalReferenceEndpointTypeInfoInitializer CIAO::Config_Handlers::ExternalReferenceEndpointTypeInfoInitializer_`[static]`

ImplementationDependencyTypeInfoInitializer CIAO::Config_Handlers::ImplementationDependencyTypeInfoInitializer_`[static]`

ImplementationRequirementTypeInfoInitializer CIAO::Config_Handlers::ImplementationRequirementTypeInfoInitializer_`[static]`

InstanceDeploymentDescriptionTypeInfoInitializer CIAO::Config_Handlers::InstanceDeploymentDescriptionTypeInfoInitializer_`[static]`

InstanceResourceDeploymentDescriptionTypeInfoInitializer CIAO::Config_Handlers::InstanceResourceDeploymentDescriptionTypeInfoInitializer_`[static]`

MonolithicDeploymentDescriptionTypeInfoInitializer CIAO::Config_Handlers::MonolithicDeploymentDescriptionTypeInfoInitializer_`[static]`

PlanConnectionDescriptionTypeInfoInitializer CIAO::Config_Handlers::PlanConnectionDescriptionTypeInfoInitializer_`[static]`

PlanSubcomponentPortEndpointTypeInfoInitializer CIAO::Config_Handlers::PlanSubcomponentPortEndpointTypeInfoInitializer_`[static]`

PropertyTypeInfoInitializer CIAO::Config_Handlers::PropertyTypeInfoInitializer_`[static]`

RequirementTypeInfoInitializer CIAO::Config_Handlers::RequirementTypeInfoInitializer_`[static]`

ResourceDeploymentDescriptionTypeInfoInitializer CIAO::Config_Handlers::ResourceDeploymentDescriptionTypeInfoInitializer_`[static]`

ResourceTypeInfoInitializer CIAO::Config_Handlers::ResourceTypeInfoInitializer_`[static]`

ResourceUsageKindTypeInfoInitializer CIAO::Config_Handlers::ResourceUsageKindTypeInfoInitializer_`[static]`

SatisfierPropertyKindTypeInfoInitializer CIAO::Config_Handlers::SatisfierPropertyKindTypeInfoInitializer_`[static]`

SatisfierPropertyTypeInfoInitializer CIAO::Config_Handlers::SatisfierPropertyTypeInfoInitializer_`[static]`

SubcomponentPortEndpointTypeInfoInitializer CIAO::Config_Handlers::SubcomponentPortEndpointTypeInfoInitializer_`[static]`

TCKindTypeInfoInitializer CIAO::Config_Handlers::TCKindTypeInfoInitializer_`[static]`